﻿@{
    ViewBag.Title = "Test";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<script src="~/Content/ThemeMedical/js/jquery-2.2.3.min.js"></script>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Jinnah Hospital
            <small>Test Information</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="/AdminHome/Index"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Dashboard</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">

        <div class="box box-info">
            <div class="box-header with-border">
                <i class="fa fa-pagelines"></i>
                <h3 class="box-title">Fill Data carefully</h3>

            </div>
            <form class="form-horizontal">
                <div class="box-body">
                    <div class="form-group">
                        <label for="inputName" class="col-sm-2 control-label">Enter Name</label>

                        <div class="col-sm-10">
                            <input type="text" class="form-control" id="inputName" placeholder="Enter ...">
                        </div>
                    </div>

                    <div class="form-group">
                        <label for="InputDocID" class="col-sm-2 control-label">Select Doctor No</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputDocID">
                             

                            </select>
                        </div>
                    </div>
                    <div class="form-group">
                        <label for="InputAmount" class="col-sm-2 control-label">Select Payment Charges</label>
                        <div class="col-sm-5">
                            <select class="form-control" id="InputAmount">
                                <option>100</option>
                                <option>200</option>
                                <option>300</option>
                                <option>500</option>
                                <option>800</option>
                                <option>1000</option>
                                <option>1200</option>
                                <option>1500</option>

                            </select>
                        </div>
                    </div>

                    <div class="box-footer">
                        <button style="margin-left: 30px" type="button" class="col-sm-1 btn btn-info pull-right" onclick="AddTestData()">Save</button>

                        <button type="submit" class="col-sm-1 btn btn-default pull-right">Cancel</button>
                    </div>
                </div>

            </form>

        </div>

    </section>
</div>
<script>
    function AddTestData() {
        debugger;
        var Name = $('#inputName').val();
        var DocID = $('#InputDocID :selected').attr('id');
        var Amount = $('#InputAmount :selected').val(); 

        $.ajax({
            url: '@Url.Action("AddTest", "AHMS")',
            type: "POST",
            dataType: "json",
            data: JSON.stringify({ Name: Name, DocID: DocID, Amount: Amount }),
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;

                    swal(data.message, "", "success");
                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    }
</script>


<!--pop up the dropdowns-->
<script>
    $(document).ready(function () {
       // alert("asd");
        $.ajax({
            url: '@Url.Action("GetAllDoctorsData", "AHMS")',
            type: "POST",
            dataType: "json",
            traditional: "true",
            contentType: "application/json; charset=utf-8",
            success: function (data) {
                if (data.status == "success") {
                    debugger;
                    var list  = data.message;
                
                    for (i = 0; i < list.length; i++) {
                        $('#InputDocID').append('<option id=' + list[i].docno + ' value=' + list[i].docname+ ' >' + list[i].docname+ '  </option>');
                    }


                }
            },
            error: function (xhr) {
                alert(xhr.responseText);
            }
        });

    });
</script>
